{% extends "base.html" %}

{% block app_content %}

<link rel=stylesheet type=text/css href="{{ url_for('static',filename='runs.css') }}">

<div class="header">
    <h1>Runs</h1>
</div>

{% if runs["runs"]|length > 0 %}

<div id="mytable" class="app_content">
    </head>

    <body>
        <table class="sortable" id="sorttable">
            <thead>
                <tr>
                    <th style="width: 60%">Run ID</th>
                    <th style="width: 40%">Run State</th>
                </tr>
            </thead>
            <tbody id="sorttable_body">
                {% for run in runs['runs'] %}
                <tr>
                    <td>
                        <a href="{{ url_for('main.run', RunID=run.run_id) }}">
                            {{ run.run_id }}
                        </a>
                    </td>
                    <td>{{ run.state }}</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
</div>

{% elif  ("runs" in runs) and (runs["runs"]|length == 0) %}
<div class="info">
    <h2>Wow! such empty</h2>
</div>

{% elif "content" in runs %}
<div class="info">
    <h2>{{ runs["content"] }}</h2>
</div>
{% endif %}

{% endblock %}